      *{
    margin:0;
    padding:0;
    font-family:'Poppins',sans-serif;
    box-sizing:border-box;
}

/* styles for the body*/
body{
    background-color:#262a2f;
}

/* styles for the container*/
.container{
    width:400px;
    padding:25px 35px;
    position:absolute;
    top:50%;
    left:50%;
    transform:translate(-50%,-50%);
    background-color:#fff;
    border-radius:10px;
   
}

/* styles for the paragraph inside container*/

.container p{
    font-weight:400;
    font-size:15px;
    margin-bottom:8px;
}

/*styles for the input field inside the container*/
.container input{
    width:100%;
    height:50px;
    border:2px solid #494eea;
    outline:0;
    padding:10px;
    margin:10px 0 20px;
    border-radius:5px;
}
.container button{
    width:100%;
    height:50px;
    background-color:#494eea;
    color:#fff;
    border:0;
    outline:0;
    border-radius:5px;
    box-shadow:0 10px 10px rgba(0,0,0,0.1);
    cursor:pointer;
    margin:20px 0;
    font-weight:bold;
}

/*styles for the img box*/

#imgBox{
    width:200px;
    border-radius:5px;
    max-height:0;
    overflow:hidden;
    transition:max-height 1s;
    
    
}

#imgBox img{
    width:100%;
    padding:10px;
    align-items:center;
}

#imgBox.show-img{
    max-height:300px;
    margin:10px auto;
    border:2px solid #d1d;
}
.loading{
    display:none;
    margin-top:10px;
    font-size:14px;
    color:#333;
}

.show-loading{
    display:block;
}
#loading{
    color:#31DC1B;
    font-size:15px;
    font-family:fantasy;
    font-weight:bold;
    
}

#QRSizeText{
    margin-top:20px;
}



.error{
    animation:shake 0.1s linear 10;
    
}
@keyframes shake{
    0%{
        transform:translateX(0);
        border:2px solid #FF4949;
    }
    25%{
        transform:translateX(-2px);
        border:2px solid #FF4949;
    }
    50%{
        transform:translateX(0);
        border:2px solid #FF4949;
       
    }
    75%{
        transform:translateX(2px);
        border:2px solid #FF4949;
    }
    100%{
        transform:translate(0);
        border:2px solid #FF4949;
    }
}

span {
    animation:loading .6s infinite ease-in-out;
    color:#FF4949;
    }
    
 /* styles for loading animation QRCode generating animation */
    
@keyframes loading{
    0%,
    80%,
    100%{
        opacity:0;
        
    }
    40%{
        opacity:1;
    }
}
span:nth-child(2){
    animation-delay:.12s;
}
span:nth-child(3){
    animation-delay:.24s;
   
}
.download-message{
    color: red;
    font-size: 14px;
    margin-top: 8px;
    display: none;
    font-weight:300;
}

.show-message{
    display: block;
}
